## aiosmb 0.4.4

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean
	python3 setup.py sdist bdist_wheel
	python3 -m twine upload dist/*

rebuild: clean
	python3 setup.py install

build:
	python3 setup.py install

=== debian/changelog ===
aiosmb (0.4.4-0kali2) kali-dev; urgency=medium

  * Add a patch to fix SyntaxWarning
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 13:44:44 +0100

aiosmb (0.4.4-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 0.4.4
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Mar 2023 15:44:14 +0100

aiosmb (0.2.50-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jan 2022 11:24:33 +0100

=== debian/control ===
Source: aiosmb
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
Standards-Version: 4.7.0
Homepage: https://github.com/skelsec/aiosmb
Vcs-Browser: https://gitlab.com/kalilinux/packages/aiosmb
Vcs-Git: https://gitlab.com/kalilinux/packages/aiosmb.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-aiosmb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Fully asynchronous SMB library (Python 3)
 This package contains a fully asynchronous SMB library.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmb

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aiosmb-$1.tar.gz%" \
   https://github.com/skelsec/aiosmb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
